; O arquivo CMD.
;
; Duas Partes: 1. Definio de comando(Command) e  2. Entrada de Estados(State Entry)
; (Entrada de estados so comandos q sero vistos depois na seo def)
;
; 1. Definio de comando
; ---------------------
; Nota: Os comandos so CASE-SENSITIVE, e assim esto os nomes do comando.
; As oito direes so:
;   B, DB, D, DF, F, UF, U, UB     (todos CAPS)
;   corresponde em: (B)atrs,(DB)diagonal inferior p/ tras,(D)Baixo,diagonal inferior p/ ;frente(DF), etc.
; Os seis botes so:
;   a, b, c, x, y, z               (Todos lower case(letras minusculas))
;   Na configurao de teclas padro, abc so os de baixo, e xyz so os de
;   cima. Para char's de 2 botes, ns recomendamos q vc use a e b.
;   Para char's de 6 botes, use abc para chutes e xyz para socos.
;
; Cada seo [Command] define um comando que vc pode usar para
; entrada de estado, assim como no arquivo CNS.
; A seo command deve se parecer mais ou menos assim:
;
;   [Command]
;   name = algum_nome
;   command = o_comando
;   time = tempo (opcional -- padro de 15 se for omitido)
;
; - algum_nome
;   O nome dado aquele comando. Voc usar este nome como referncia
;   desse comando na state entry, assim como no CNS. Iste  case-
;   sensitive (QCB_a   igual  Qcb_a ou QCB_A).
;
; - command
;   lista de botes ou direes, separados por vrgulas.
;   Direes e botes podem ser precedidos por caracteres especiais:
;   barra (/) - isto indica que a tecla tem que ficar segurada
;          egs. command = /D       ;segure para baixo
;               command = /DB, a   ;segure na diagonal inferior p/ tras enquanto vc aperta a
;   tio (~) - detecta a liberao de teclas
;          egs. command = ~a       ;liberando boto a
;               command = ~D, F, a ;liberou p/ baixo,e apertou p/ frente, e depois a
;          Se vc quiser detectar "movimentos de carga", vc pode especificar
;          o tempo q precisar segurar a tecla (no game-ticks(tempo))
;          egs. command = ~30a     ;segure por pelo menos 30 ticks, depois solte
;               command = ~30
;   sinfro ($) - Direes apenas: detecta as 4 direes
;          egs. command = $D       ;ir detectar se D, DB ou DF esta sendo segurada
;               command = $B       ;ir detectar se B, DB ou UB esta sendo segurada
;   plus (+) - Botes apenas: apertos simultanos(ao mesmo tempo)
;          egs. command = a+b      ;apertando a e b ao mesmo tempo
;               command = x+y+z    ;apertando x, y e z ao mesmo tempo
;   Voc pode combina-los:
;     eg. command = ~30$D, a+b     ;segure D, DB ou DF por 30 ticks, solte,
;                                  ;e depois aperte a e b juntos(a+b)
;    recomendado que para mais "movimentos de comando", ex.: quarto-circulo-frente,
;   vc comessa fechando com uma "Direo de liberao". Estes detalhes  o caminho dos mais
;   populares jogos de luta implemente as programaes deles.
;
; - tempo (opcional)
;   Tempo permitido para fazer o comando, dado em game-ticks. Padro de 15
;   se omitido
;
; Se vc tem dois ou mais comandos com o mesmo nome, tudos eles iro
; funcionar. Voc pode usar isto p/ permitir vrios movimentos para o mesmo movimento.
;
; Alguns comandos comuns so dados abaixo. Delete, adicione, ou modifique como quiser.


;-| Movimentos Especiais |--------------------------------------------------------

;-| Special Motions |------------------------------------------------------
;-----------------
; QCF
[Command]
name = "QCF_a"
command = ~D, DF, F, a

[Command]
name = "QCF_b"
command = ~D, DF, F, b

[Command]
name = "QCF_c"
command = ~D, DF, F, c

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_z"
command = ~D, DF, F, z

;-----------------
; QCB
[Command]
name = "QCB_a"
command = ~D, DB, B, a

[Command]
name = "QCB_b"
command = ~D, DB, B, b

[Command]
name = "QCB_c"
command = ~D, DB, B, c

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_z"
command = ~D, DB, B, z

;-----------------
; Uppercut
[Command]
name = "uppercut_a"
command = ~F, D, DF, x

[Command]
name = "uppercut_b"
command = ~F, D, DF, y

[Command]
name = "uppercut_c"
command = ~F, D, DF, z

[Command]
name = "uppercut_x"
command = ~F, D, DF, a

[Command]
name = "uppercut_y"
command = ~F, D, DF, b

[Command]
name = "uppercut_z"
command = ~F, D, DF, c


;--------------------
;Charge_Down_up
[Command]
name = "chargedownup_a"
command = ~60$D, U, a
time = 10

[Command]
name = "chargedownup_b"
command = ~60$D, U, b
time = 10

[Command]
name = "chargedownup_c"
command = ~60$D, U, c
time = 10

[Command]
name = "chargedownup_x"
command = ~60$D, U, x
time = 10

[Command]
name = "chargedownup_y"
command = ~60$D, U, y
time = 10

[Command]
name = "chargedownup_z"
command = ~60$D, U, z
time = 10

;--------------------
;Charge_Back_fwd
[Command]
name = "chargebackfwd_a"
command = ~60$B, F, a
time = 10

[Command]
name = "chargebackfwd_b"
command = ~60$B, F, b
time = 10

[Command]
name = "chargebackfwd_c"
command = ~60$B, F, c
time = 10

[Command]
name = "chargebackfwd_x"
command = ~60$B, F, x
time = 10

[Command]
name = "chargebackfwd_y"
command = ~60$B, F, y
time = 10

[Command]
name = "chargebackfwd_z"
command = ~60$B, F, z
time = 10



;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF";Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 3

[Command]
name = "ab"
command = a+b
time = 1

; -- SUPERS --

[Command]
name = "uppercut_x+y"
command = ~F, D, DF, x+y

[Command]
name = "uppercut_y+z"
command = ~F, D, DF, y+z

[Command]
name = "uppercut_z+x"
command = ~F, D, DF, z+x


[Command]
name = "QCF_a+b"
command = ~D, DF, F, a+b

[Command]
name = "QCF_a+c"
command = ~D, DF, F, a+c

[Command]
name = "QCF_b+c"
command = ~D, DF, F, b+c

[Command]
name = "QCF_x+y"
command = ~D, DF, F, x+y

[Command]
name = "QCF_x+z"
command = ~D, DF, F, x+z

[Command]
name = "QCF_y+z"
command = ~D, DF, F, y+z


;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "back_x"
command = /B,x
time = 1

[Command]
name = "back_y"
command = /B,y
time = 1

[Command]
name = "back_z"
command = /B,z
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "taunt"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


;---------------------------------------------------------------------------
; 2. Entrada de Estado(State entry)
; --------------
; Aqi  onde vc define qe comandos induz vc a q estado(states).
;
; Cada bloco do state entry deve parecer com:
;   [State -1, Nome]           ;Substitua Nome por algum nome q vc queira usar para
;                               ;identificar com o state.
;   type = ChangeState          ; mude isto
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number  o nmero do estado p/ mudar
; - command_name  o nome do comando (da seo acima)
; - triggers conhecidos Muito teis:
;   - statetype
;       S, C or A : estado atual do jogador (stand(em p), crouch(Abaixado), air(ar))
;   - ctrl
;       0 or 1 : 1 se o jogador tera o controle. a menos q interrompa("interrupting") 
;                outro movimento, voc qiser ctrl = 1
;   - stateno
;       nmero do do estado do jogador esta em - muito util p/ "cancel moves"
;   - movecontact
;       0 or 1 : 1 se o ultimo ataqe do jogador encostou o oponente
;                muito util p/ "cancel moves"
;
; Nota: A ordem do state entry  importante.
;   State entry com um certo comando precisa vim antes de outro state
;   entry com um comando q  subsistema do primeiro.  
;   Por exemplo, comando "fwd_a" precisa ser listado antes do "a", e
;   "fwd_ab" ambos deveriam vir antes do q os outros.
;
; P/ referncia sobre triggers, olhe a documentao do CNS.
;
; S p/ sua informao (pule se vc  est interessado):
; Esta parte  uma extenso do CNS. "State -1"  um state especial
; q  executado s uma vez a cada game-tick, sem ligao com outro state qualquer
; em q vc esteje.


;  remova a seguinte linha. Ela  reqerida pelo CMD padro.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw (close dir+y|z)
; Complicated? Skip the throws and look at stand_a, etc, first.
; This is disabled right now. Remove the "null;" below when you
; want to use it.
[State -1]
type = null; ChangeState
value = 300
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X < 5 ;Near P2
trigger1 = command = "fwd_z";p2 stand
trigger1 = stateno != 100    ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = "fwd_z";p2 crouch
trigger2 = stateno != 100    ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = command = "back_z";p2 stand
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = "back_z";p2 crouch
trigger4 = p2statetype = C
trigger4 = p2movetype != H
trigger5 = command = "fwd_y";p2 stand
trigger5 = stateno != 100    ;Not running
trigger5 = p2statetype = S
trigger5 = p2movetype != H
trigger6 = command = "fwd_y";p2 crouch
trigger6 = stateno != 100    ;Not running
trigger6 = p2statetype = C
trigger6 = p2movetype != H
trigger7 = command = "back_y";p2 stand
trigger7 = p2statetype = S
trigger7 = p2movetype != H
trigger8 = command = "back_y";p2 crouch
trigger8 = p2statetype = C
trigger8 = p2movetype != H

;---------------------------------------------------------------------------
;Air_Throw1 (close dir+b)
; This is disabled right now. Remove the "null;" below when you
; want to use it.
[State -1]
type = null; ChangeState
value = 950
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = p2bodydist X < 9
triggerall = p2bodydist Y > -22
triggerall = p2bodydist Y < 22
triggerall = p2statetype = A
triggerall = p2movetype != H
trigger1 = command = "fwd_b"
trigger2 = command = "back_b"

;===========================================================================
;---------------------------------------------------------------------------
; Taunt
[State -1]
type = ChangeState
value = 195
trigger1 = command = "taunt"
trigger1 = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;--------------------------------------
; SUPERS!!!
;--------------------------------------
[State -1]
type = ChangeState
value = 4010
trigger1 = command = "uppercut_z+x";Place name of command here
trigger2 = command = "uppercut_x+y"
trigger3 = command = "uppercut_y+z"
triggerall = power >= 1000 ;Level 1
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = S
trigger2 = ctrl = 1
trigger3 = statetype = S
trigger3 = ctrl = 1

;_____________________________________________________

; !!!!!!!!!!SPECIALS!!!!!!!!

[State -1]
type = ChangeState
value = 3010
triggerall = command = "uppercut_x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 411
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 400
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 410
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 401
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 402
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 412
trigger7 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger8 = stateno = 211
trigger8 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger9 = stateno = 200
trigger9 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger10 = stateno = 210
trigger10 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger11 = stateno = 201
trigger11 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger12 = stateno = 202
trigger12 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger13 = stateno = 212
trigger13 = movecontact = 1  ;If move hits, or is guarded by opponent
;---------------------------------------------------------------------------

[State -1]
type = ChangeState
value = 3011
triggerall = command = "uppercut_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 411
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 400
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 410
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 401
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 402
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 412
trigger7 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger8 = stateno = 211
trigger8 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger9 = stateno = 200
trigger9 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger10 = stateno = 210
trigger10 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger11 = stateno = 201
trigger11 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger12 = stateno = 202
trigger12 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger13 = stateno = 212
trigger13 = movecontact = 1  ;If move hits, or is guarded by opponent
;---------------------------------------------------------------------------

[State -1]
type = ChangeState
value = 3012
triggerall = command = "uppercut_z";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 411
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 400
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 410
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 401
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 402
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger7 = stateno = 412
trigger7 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger8 = stateno = 211
trigger8 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger9 = stateno = 200
trigger9 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger10 = stateno = 210
trigger10 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger11 = stateno = 201
trigger11 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger12 = stateno = 202
trigger12 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger13 = stateno = 212
trigger13 = movecontact = 1  ;If move hits, or is guarded by opponent

;Slash_X
[State -1]
type = ChangeState
value = 3020
triggerall = command = "QCF_x"
trigger1 = statetype != A
trigger1 = ctrl = 1

;Slash_Y
[State -1]
type = ChangeState
value = 3024
triggerall = command = "QCF_y"
trigger1 = statetype != A
trigger1 = ctrl = 1

;Slash_Z
[State -1]
type = ChangeState
value = 3025
triggerall = command = "QCF_z"
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Forward_Y
[State -1]
type = ChangeState
value = 221
triggerall = command = "fwd_y";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Back_B
[State -1]
type = ChangeState
value = 231
trigger1 = command = "back_b";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = command = "fwd_b";Place name of command here
trigger2 = statetype = S
trigger2 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = command = "a";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
;trigger2 = stateno = 200
;trigger2 = time >= 7
trigger3 = stateno = 210
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Stand_B
[State -1]
type = ChangeState
value = 201
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to "chain" the attack
 ;from a Stand_A (state 200)
trigger2 = stateno = 200
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 210
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 211
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Stand_C
[State -1]
type = ChangeState
value = 202
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to "chain" the attack
 ;from a Stand_A (state 200)
trigger2 = stateno = 201
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 200
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 210
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 211
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 212
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Stand_X
[State -1]
type = ChangeState
value = 210
triggerall = command = "x";Place name of command here
triggerall = command != "holddown";Standing moves should have this line
 ;The following is true if Player is in stand state, and has control
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to do a Stand_A rapidly
;trigger2 = stateno = 210
;trigger2 = time >= 7
trigger3 = stateno = 200
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Stand_Y
[State -1]
type = ChangeState
value = 211
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to "chain" the attack
trigger2 = stateno = 201
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 200
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 210
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
;---------------------------------------------------------------------------
;Stand_Z
[State -1]
type = ChangeState
value = 212
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
 ;Uncomment the following if you want to be able to "chain" the attack
trigger2 = stateno = 201
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 200
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 210
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 211
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 202
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
;---------------------------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
;trigger2 = stateno = 400
;trigger2 = time >= 1 
trigger2 = stateno = 410
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
 
;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 401
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 410
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 411
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Crouch_C
[State -1]
type = ChangeState
value = 402
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 401
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 400
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 410
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 411
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 412
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Crouch_X
[State -1]
type = ChangeState
value = 410
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
;trigger2 = stateno = 410
;trigger2 = time >= 7  ;If move hits, or is guarded by opponent
trigger2 = stateno = 400
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch_Y
[State -1]
type = ChangeState
value = 411
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 410
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 401
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 400
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Crouch_Z
[State -1]
type = ChangeState
value = 412
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 411
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 400
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 410
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 401
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 402
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Jump_A
[State -1]
type = ChangeState
value = 600
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 610
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;Jump_B
[State -1]
type = ChangeState
value = 601
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 611
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 600
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 610
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
;---------------------------------------------------------------------------
;Jump_C
[State -1]
type = ChangeState
value = 602
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 601
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 600
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 610
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 612
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 611
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Jump_X
[State -1]
type = ChangeState
value = 610
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;Jump_Y
[State -1]
type = ChangeState
value = 611
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 601
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 600
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 610
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent

;---------------------------------------------------------------------------
;Jump_Z
[State -1]
type = ChangeState
value = 612
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 611
trigger2 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger3 = stateno = 600
trigger3 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger4 = stateno = 610
trigger4 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger5 = stateno = 602
trigger5 = movecontact = 1  ;If move hits, or is guarded by opponent
trigger6 = stateno = 601
trigger6 = movecontact = 1  ;If move hits, or is guarded by opponent
